Changeset 108553 for trunk/dports/gis


Ignore:
Timestamp:
Jul 26, 2013, 11:41:35 AM (6 years ago)
Author:
vince@…
Message:

Specify that the vtk5 portfile must be build against the +qt4_mac variant

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/gis/libpcl/Portfile

    r108551 r108553  
    55PortGroup           cmake 1.0
    66PortGroup           github 1.0
     7PortGroup           active_variants 1.1
    78
    89name                libpcl
     
    3738                    port:openni
    3839
     40pre-configure {
     41    if {![active_variants vtk5 "qt4_mac" ""]} {
     42        return -code error "VTK5 toolkit must be built over Qt4.\
     43                            Please reinstall with +qt4_mac variant."
     44}
     45
    3946configure.args-append   -DOPENNI_INCLUDE_DIR=${prefix}/include/ni
    4047# PCL 1.6 does not compile with clang or macports-gcc-4.x
Note: See TracChangeset for help on using the changeset viewer.